[Obsolete] Please first make a selection from the list"

Need help upgrading your Joomla! website or converting to Joomla! 2.5?
Note: All 1.6 and 1.7 releases have reached end of life and should be updated to 2.5.

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
User avatar
leolam
Joomla! Master
Joomla! Master
Posts: 16256
Joined: Mon Aug 29, 2005 10:17 am
Location: Netherlands/ UK/ S'pore/Jakarta/ North America
Contact:

[Obsolete] Please first make a selection from the list"

Postby leolam » Sat Jan 28, 2012 10:03 am

Due to the release of Joomla 2.5.1 the plugin is obsolete and has therefore been removed. Joomla 2.5.1 resolves this now in core sw

Leo 8)
Last edited by leolam on Fri Feb 03, 2012 6:50 am, edited 4 times in total.
-- Joomla Professional Support Services : https://gws-desk.com --
-- Joomla Specialized Hosting Solutions: https://gws-host.com --
-- Joomla Professional Web Development & Design :www.gws-studio.com
-- Member Joomla Bug Squad --

User avatar
ot2sen
Joomla! Master
Joomla! Master
Posts: 10283
Joined: Thu Aug 18, 2005 9:58 am
Location: Hillerød - Denmark
Contact:

Re: Solution for "Please first make a selection from the lis

Postby ot2sen » Sat Jan 28, 2012 10:28 am

Thanks for sharing Leo :)

Works nicely for a quick rescue!
Ole Bang Ottosen
Dansk kommerciel support og kurser www.ot2sen.dk
Dansk frivillig Joomla! support websted - joomla.dk
OpenTranslators Core Team opentranslators.org

User avatar
leolam
Joomla! Master
Joomla! Master
Posts: 16256
Joined: Mon Aug 29, 2005 10:17 am
Location: Netherlands/ UK/ S'pore/Jakarta/ North America
Contact:

Re: Solution for "Please first make a selection from the lis

Postby leolam » Sat Jan 28, 2012 10:41 am

ot2sen wrote:Thanks for sharing Leo :)

Works nicely for a quick rescue!
Ole can you contact somebody to make this sticky pls?

(see BugSquad and Tracker as well ;-)

Leo 8)
-- Joomla Professional Support Services : https://gws-desk.com --
-- Joomla Specialized Hosting Solutions: https://gws-host.com --
-- Joomla Professional Web Development & Design :www.gws-studio.com
-- Member Joomla Bug Squad --

cyberseguridad
Joomla! Apprentice
Joomla! Apprentice
Posts: 7
Joined: Sat Jan 28, 2012 10:00 am
Contact:

Re: Solution for "Please first make a selection from the lis

Postby cyberseguridad » Sat Jan 28, 2012 11:40 am

not working fine here, dont know if could be caused because my frontend language (spanish) but still receiving same message, shall I edit any of the variables in the plugin code?

User avatar
leolam
Joomla! Master
Joomla! Master
Posts: 16256
Joined: Mon Aug 29, 2005 10:17 am
Location: Netherlands/ UK/ S'pore/Jakarta/ North America
Contact:

Re: Solution for "Please first make a selection from the lis

Postby leolam » Sat Jan 28, 2012 11:54 am

cyberseguridad wrote:not working fine here, dont know if could be caused because my frontend language (spanish) but still receiving same message, shall I edit any of the variables in the plugin code?
Clear Joomla and Browser Cache and make sure that the plugin is published. Languages have no influences on this issue at all

Leo 8)
-- Joomla Professional Support Services : https://gws-desk.com --
-- Joomla Specialized Hosting Solutions: https://gws-host.com --
-- Joomla Professional Web Development & Design :www.gws-studio.com
-- Member Joomla Bug Squad --

cyberseguridad
Joomla! Apprentice
Joomla! Apprentice
Posts: 7
Joined: Sat Jan 28, 2012 10:00 am
Contact:

Re: Solution for "Please first make a selection from the lis

Postby cyberseguridad » Sat Jan 28, 2012 12:13 pm

true, my bad, I had forgotten to clean browser cache... now cleaned and your plugin is working fine! thanks a lot!
:)

gustele
Joomla! Apprentice
Joomla! Apprentice
Posts: 7
Joined: Thu Jul 10, 2008 6:37 pm

Re: Solution for "Please first make a selection from the lis

Postby gustele » Sat Jan 28, 2012 1:45 pm

The plugin seems to introduce a new error. While it solved the problem on my websites (after clearing the cache) I now have the following problem:
When I select an article for editing (previously not working) I go correctly to the edit form. But when I try to close that edit form either by clicking close or save & close nothing happens.
The error is plugin-related because the problem is solved as soon as I unpublish this plugin.

Regards

John

User avatar
leolam
Joomla! Master
Joomla! Master
Posts: 16256
Joined: Mon Aug 29, 2005 10:17 am
Location: Netherlands/ UK/ S'pore/Jakarta/ North America
Contact:

Re: Solution for "Please first make a selection from the lis

Postby leolam » Sat Jan 28, 2012 2:43 pm

gustele wrote:The plugin seems to introduce a new error.
No,
You need to clear your cache (browser and Joomla complete) and you will be ok. If you have no 3rd party extensions on your site you do not need the plugin

Leo 8)
-- Joomla Professional Support Services : https://gws-desk.com --
-- Joomla Specialized Hosting Solutions: https://gws-host.com --
-- Joomla Professional Web Development & Design :www.gws-studio.com
-- Member Joomla Bug Squad --

gustele
Joomla! Apprentice
Joomla! Apprentice
Posts: 7
Joined: Thu Jul 10, 2008 6:37 pm

Re: Solution for "Please first make a selection from the lis

Postby gustele » Sat Jan 28, 2012 3:09 pm

Thanks, Leo

That solved the problem. I should have found this out myself.

John

User avatar
leolam
Joomla! Master
Joomla! Master
Posts: 16256
Joined: Mon Aug 29, 2005 10:17 am
Location: Netherlands/ UK/ S'pore/Jakarta/ North America
Contact:

Re: Solution for "Please first make a selection from the lis

Postby leolam » Sat Jan 28, 2012 3:15 pm

gustele wrote:Thanks, Leo

That solved the problem. I should have found this out myself.

John
Welcome John, always happy to assist here or elsewhere

Leo 8)
-- Joomla Professional Support Services : https://gws-desk.com --
-- Joomla Specialized Hosting Solutions: https://gws-host.com --
-- Joomla Professional Web Development & Design :www.gws-studio.com
-- Member Joomla Bug Squad --

Frison
Joomla! Apprentice
Joomla! Apprentice
Posts: 9
Joined: Thu Jan 26, 2012 8:44 pm

Re: Solution for "Please first make a selection from the lis

Postby Frison » Sat Jan 28, 2012 8:34 pm

Thanks a lot! :laugh:

[EDIT]

When you apply this fix a new problem is there. Every open article for edit, can't be closed anymore and gives an error on the page! :-[

"You need to clear your cache" <- that's what I did to!

[EDIT]

Installed plugin cachecleaner and still an error by closing editor use!

libia19612
Joomla! Apprentice
Joomla! Apprentice
Posts: 19
Joined: Sat Jan 28, 2012 4:57 am

Re: Solution for "Please first make a selection from the lis

Postby libia19612 » Mon Jan 30, 2012 6:20 am

Ok I am having a nightmare here.

I thought I was ok Leo, but I am not. I am unable to save now that I installed the plugin.

I started getting duplicate articles and blogs in the front end of a site.

Can you help me please? :(

grietbroek
Joomla! Apprentice
Joomla! Apprentice
Posts: 37
Joined: Tue Aug 11, 2009 6:21 am

Re: Solution for "Please first make a selection from the lis

Postby grietbroek » Mon Jan 30, 2012 9:37 am

What is the reason they've changed this? I don't get it, now every component needs to be updated because of this minor difference which Joomla is not changing back.

User avatar
leolam
Joomla! Master
Joomla! Master
Posts: 16256
Joined: Mon Aug 29, 2005 10:17 am
Location: Netherlands/ UK/ S'pore/Jakarta/ North America
Contact:

Re: Solution for "Please first make a selection from the lis

Postby leolam » Mon Jan 30, 2012 10:59 am

grietbroek wrote:What is the reason they've changed this? I don't get it, now every component needs to be updated because of this minor difference which Joomla is not changing back.
It is a major change in how data is being asked for in forms. It was incorporated in Joomla Beta2 already and nobody (3rd party) has tested this it seems otherwise I would not have discovered this Friday midnight GMT since it would have been resolved already. Version 2.5.1 will provide a solution for those who are very, very slow with adapting the code....Rest assured my inbox is floating already with new release announcements so the 3rd party developers are picking flashy fast....

If not contact our 3rd party developer since than he/she is doing a bad job!

Leo 8)
-- Joomla Professional Support Services : https://gws-desk.com --
-- Joomla Specialized Hosting Solutions: https://gws-host.com --
-- Joomla Professional Web Development & Design :www.gws-studio.com
-- Member Joomla Bug Squad --

grietbroek
Joomla! Apprentice
Joomla! Apprentice
Posts: 37
Joined: Tue Aug 11, 2009 6:21 am

Re: Solution for "Please first make a selection from the lis

Postby grietbroek » Mon Jan 30, 2012 11:09 am

Ok I'm not a programmer, but I guess Joomla needed to change this to improve their system. Like I said, almost every extension needs to update because of this 'minor' change. Also almost every Joomla user needs to update many extensions..

But thanks for the info, no further questions:)

User avatar
leolam
Joomla! Master
Joomla! Master
Posts: 16256
Joined: Mon Aug 29, 2005 10:17 am
Location: Netherlands/ UK/ S'pore/Jakarta/ North America
Contact:

Re: Solution for "Please first make a selection from the lis

Postby leolam » Mon Jan 30, 2012 11:22 am

grietbroek wrote:Ok, I'm not a programmer, but I guess Joomla needed to change this to improve their system. Like I said, almost every extension needs to update because of this 'minor' change. Also almost every Joomla user needs to update many extensions..
This is correct...Please realize that Joomla is the platform on which 3rd parties build software. So if the final stage has been released from1.5 t0 2.5 with tons of additional functionality for you(!) as enduser than they need to upgrade the extensions and we as users need to upgrade our systems....Part of life. Please note the following as a little site step...Many extension developers have never real upgraded their extensions to for instance Joomla 1.7. See how many extensions are working on Joomla 1.5/1.6 and 1.7 These are all patched system and not compliant and they are causing these issues. Now they are finally in dire need to upgrade at last

Leo
-- Joomla Professional Support Services : https://gws-desk.com --
-- Joomla Specialized Hosting Solutions: https://gws-host.com --
-- Joomla Professional Web Development & Design :www.gws-studio.com
-- Member Joomla Bug Squad --

grietbroek
Joomla! Apprentice
Joomla! Apprentice
Posts: 37
Joined: Tue Aug 11, 2009 6:21 am

Re: Solution for "Please first make a selection from the lis

Postby grietbroek » Mon Jan 30, 2012 11:31 am

The reason why I use Joomla is because of the functionalities it has and the many new features they keep implementing, so don't take these posts as an attack on Joomla itself, I was just curious.

And to be honest I am also a little bit happy that old extension need to update anyway now, still many extensions are not compatible with 1.6/7 or higher.

But don't waste your time on me anymore, I'm totally updated with info now:)

toolbox978
Joomla! Intern
Joomla! Intern
Posts: 59
Joined: Thu Jan 03, 2008 5:41 am

Re: Solution for "Please first make a selection from the lis

Postby toolbox978 » Mon Jan 30, 2012 9:51 pm

I installed this plugin after upgrading to 2.5 from 1.7.3 and found myself unable to save, save&close, or close. Didn't matter if I was editing a menu item, editing an article, extension manager...just nothing worked. Also didn't matter which browser I was using, or which administrator template is default. I was forced to disable it.

User avatar
leolam
Joomla! Master
Joomla! Master
Posts: 16256
Joined: Mon Aug 29, 2005 10:17 am
Location: Netherlands/ UK/ S'pore/Jakarta/ North America
Contact:

Re: Solution for "Please first make a selection from the lis

Postby leolam » Tue Jan 31, 2012 2:03 am

toolbox978 wrote:I installed this plugin after upgrading to 2.5 from 1.7.3 and found myself unable to save, save&close, or close. Didn't matter if I was editing a menu item, editing an article, extension manager...just nothing worked. Also didn't matter which browser I was using, or which administrator template is default. I was forced to disable it.

The plugin addresses an issue with a form id (id=admin should be instead of name=admin) Therefor not not only the Cache should be cleaned but the Full browser caching including "form-history" etc. Install plugin, enable, clear complete browser cache, purcge Joomla system cache, close browser , reopen browser and it works (same issue had myself on a couple of installs and this resolves that. (In a few days the issue is resolved through a patch in forthcoming upgrade from Joomla as well)

Leo 8)
-- Joomla Professional Support Services : https://gws-desk.com --
-- Joomla Specialized Hosting Solutions: https://gws-host.com --
-- Joomla Professional Web Development & Design :www.gws-studio.com
-- Member Joomla Bug Squad --

jgremmen
Joomla! Fledgling
Joomla! Fledgling
Posts: 2
Joined: Fri Feb 13, 2009 8:57 am

Re: Solution for "Please first make a selection from the lis

Postby jgremmen » Tue Jan 31, 2012 9:08 am

Hello Leo,

unfortunately i experience the same issues after installing and activating the plugin. Posts cannot be saved anymore and even the other buttons (close would be helpful) don't respond anymore.

seems like the plugin needs an update or even better... joomla itself.

regards,
Jeroen

User avatar
abhishekdas
Joomla! Apprentice
Joomla! Apprentice
Posts: 14
Joined: Thu Apr 16, 2009 7:44 am
Location: Kolkata, India
Contact:

Re: Solution for "Please first make a selection from the lis

Postby abhishekdas » Tue Jan 31, 2012 12:52 pm

Still no permanent fix to this problem. Save/apply/close buttons does not work anywhere in the site. Can not save any settings for my template. Can not create any new module or change the settings of any existing extensions.

I installed the above Plugin and now I can publish or disable the extensions from the list view. But all other problem remains as it is.

Need to fix the problem immediately else I will go back my previous Joomla 1.7.4 installation which is the last stable version available.
Abhishek Das (aka Jumbo)
Joomlaholic | Founder & CEO of VirtuePlanet - https://www.virtueplanet.com

jgremmen
Joomla! Fledgling
Joomla! Fledgling
Posts: 2
Joined: Fri Feb 13, 2009 8:57 am

Re: Solution for "Please first make a selection from the lis

Postby jgremmen » Tue Jan 31, 2012 1:03 pm

Hi Leo,

in an earlier post you state, that this has something to do with 3rd party extensions not being tested properly but the problems i have are joomla core only... or am i missing a point here?

regards,
jeroen

User avatar
leolam
Joomla! Master
Joomla! Master
Posts: 16256
Joined: Mon Aug 29, 2005 10:17 am
Location: Netherlands/ UK/ S'pore/Jakarta/ North America
Contact:

Re: Solution for "Please first make a selection from the lis

Postby leolam » Tue Jan 31, 2012 3:05 pm

Read and perform what I mentioned 2 posts above here. that will resolve the "button" issue

Besides that tomorrow or day after 2.5.1 will be released which will address this entire issue. Patches have been created for all these issues as popping up in this forum

Leo 8)
-- Joomla Professional Support Services : https://gws-desk.com --
-- Joomla Specialized Hosting Solutions: https://gws-host.com --
-- Joomla Professional Web Development & Design :www.gws-studio.com
-- Member Joomla Bug Squad --

User avatar
pxforti
Joomla! Hero
Joomla! Hero
Posts: 2755
Joined: Wed Apr 04, 2007 8:54 pm
Location: Driggs, Idaho

Re: Solution for "Please first make a selection from the lis

Postby pxforti » Wed Feb 01, 2012 6:27 pm

Important. The plugin for fixing the "Please make selection..." causes further breaks. Once the plugin is installed, if fixes the first issue and creates another issue. With the plugin running, I screens don't close when it click Save and Close or Close. For example, if I open an article, it won't close. If I open a template, it won't close.

This is very disappointing.
Joomla Website Design / CS-Cart Website Design
http://writenowdesign.com

Ssalaar
Joomla! Fledgling
Joomla! Fledgling
Posts: 4
Joined: Tue Oct 04, 2011 12:25 pm

Re: Solution for "Please first make a selection from the lis

Postby Ssalaar » Thu Feb 02, 2012 7:02 pm

Already on 2.50. Getting the "Please make a selection" area on everything. One Question, Once i uploaded this module, I can't enable it because it gives a "Please first make a selection from the list". Ok, then i went and uploaded the complete version of 2.51 AND i still get the "please first make a selection " error.

Guess its time to reread and see about manually editing the fix in?

Dean

User avatar
pxforti
Joomla! Hero
Joomla! Hero
Posts: 2755
Joined: Wed Apr 04, 2007 8:54 pm
Location: Driggs, Idaho

Re: Solution for "Please first make a selection from the lis

Postby pxforti » Thu Feb 02, 2012 11:39 pm

I wound't recommend using the plugin since it breaks other stuff.
Joomla Website Design / CS-Cart Website Design
http://writenowdesign.com

sitehost
Joomla! Apprentice
Joomla! Apprentice
Posts: 33
Joined: Sun Feb 24, 2008 5:22 am

Re: Solution for "Please first make a selection from the lis

Postby sitehost » Fri Feb 03, 2012 5:01 am

leolam wrote:For the techs under us:
The system plugin looks for the adminForm tag (name), if it finds it it sees if the id is already there, if so return true otherwise goes on and replaces name=adminForm" with name="adminForm" and id="adminForm"
\


I see that this hasnt fixed the problem.
I beleive the problem to be in the Core.js when you click on a item and then try to save, or trash you get the error. Its because of the fact the Javascript is not setting the Boxchecked value to TRUE
<input type="hidden" name="boxchecked" value="0" />

I took your script and just manually made this true. But has anyone fixed the javascript yet? or have any comments..

User avatar
leolam
Joomla! Master
Joomla! Master
Posts: 16256
Joined: Mon Aug 29, 2005 10:17 am
Location: Netherlands/ UK/ S'pore/Jakarta/ North America
Contact:

Re: Solution for "Please first make a selection from the lis

Postby leolam » Fri Feb 03, 2012 6:53 am

pxforti wrote:Important. The plugin for fixing the "Please make selection..." causes further breaks.
Resolving this has been described since that has its own solution. Thanks for appreciating the effort and glad it worked for so many other people till 2.5.1 came out!

Leo 8)
-- Joomla Professional Support Services : https://gws-desk.com --
-- Joomla Specialized Hosting Solutions: https://gws-host.com --
-- Joomla Professional Web Development & Design :www.gws-studio.com
-- Member Joomla Bug Squad --

Ssalaar
Joomla! Fledgling
Joomla! Fledgling
Posts: 4
Joined: Tue Oct 04, 2011 12:25 pm

Re: [Obsolete] Please first make a selection from the list"

Postby Ssalaar » Fri Feb 03, 2012 11:33 am

Leo,
I am not sure how it fixed it as i had installed a fresh install of V2.5.0 and i was getting this error. I waited till 2.5.1 to come out but when i installed the upgrade, it still was giving me this error each time i selected a checked box for anything. I then downladed the entire 2.5.1 and FTP overlaided my site but still get this error. Seeing how you are marking it solved and i dont have an answer it sounds like you are stating i need to complete wipe my site once more and clean install V2.5.1. Funny thing is i have no third party extentsions or anything....

Glad it is obsolete... Guess that means so am i with getting help for this error.... ;D :laugh:

Thank you,

Dean

libia19612
Joomla! Apprentice
Joomla! Apprentice
Posts: 19
Joined: Sat Jan 28, 2012 4:57 am

Re: [Obsolete] Please first make a selection from the list"

Postby libia19612 » Sat Feb 04, 2012 4:55 am

Guess been following this and I am left out here.


Return to “Migrating and Upgrading to Joomla! 2.5”

Who is online

Users browsing this forum: No registered users and 2 guests